// -----------------------------------------------------------------------------
// This file contains all application-wide Sass variables.
// -----------------------------------------------------------------------------
// scss-lint:disable SpaceBetweenParens, SpaceAfterComma

$colors: (
  dark:                  hsl(234,    12%,  26%),  // #444
  light:                 hsl(  0,     0%,  45%),  // #737373
  lighter:               hsl(  0,     0%,  60%),  // #999
  error:                 hsl( 21,   100%,  36%),  // #b40
  button:                hsl(  0,     0%,  53%),  //
  button-hover:          hsl(  0,     0%,  33%),  //
  button-icon:           hsl(  0,     0%,  66%),  //
  button-icon-hover:     hsl(  0,     0%,  53%),  //
  pill-background:       hsl(  0,     0%,  86%),  //
  dark-background:       hsl(234, 14.63%,  32%),  //
  superdark-background:  hsl(234,    31%,  17%),  //
  light-background:      hsl(235, 14.29%,  82%),  //
  kathde-purple-orig:    hsl(234,    24%,  59%),  //
  mud-white:             hsl(240,   100%,  96%),  //
/*kathde-purple1:        hsl(205, 45.45%, 47.45%),  //
  kathde-purple2:        hsl(224, 27.43%, 44.31%),  //
  kathde-purple3:        hsl(199, 73.20%, 38.04%),  //
  kathde-purple4:        hsl(195, 97.75%, 34.90%),  //
  kathde-purple5:        hsl(224, 35.59%, 46.27%),  //*/
  kathde-purple:         hsl(228, 31.69%,  47%),  //
  text-purple:           hsl(234, 28.85%,  40%),  //
  text-purple-light:     hsl(234,    27%,  60%),   //
  bg-white:              hsl(  0,     0%, 100%),

  copy: dark,
  headlines: kathde-purple,
  action: text-purple,
  action-hover: text-purple-light,
  linkliste-foreground: light-background
);


/*$colors: (
  dark: '#444',
  light: '#737373',
  lighter: '#999',
  error: '#b40',
  button: '#888',
  button_hover: '#555',
  button_icon: '#aaa',
  button_icon_hover: '#888',
  pill_background: '#ddd',
  dark_background: 'darken(#cbccd8, 50%)',
  superdark_background: 'darken(#5362a0, 30%)',
  light_background: '#cbccd8',
  kathde_purple_orig: '#7d82b0',
  mud_white: '#eef',
  kathde_purple1: '#4282b0',
  kathde_purple2: '#526290',
  kathde_purple3: '#1A7AA8',
  kathde_purple4: '#0282b0',
  kathde_purple5: '#4C62a0',
  kathde_purple: '#5362a0',
  text_purple: '#4a5086',
  text_purple_light: '#8086b6',

  copy: 'dark',
  headlines: 'kathde_purple',
  action: 'text_purple',
  action_hover: 'text_purple_light',
  linkliste_foreground: light_background
);*/

$color-font-body: color(copy);

/// Regular font family
/// @type List
$font-copy: 'Noto Sans', 'Droid Sans', 'Sintony', 'Lato', 'Roboto', 'Myriad Pro', 'Open Sans', 'Helvetica', 'Arial', sans-serif;
$font-accent: 'Noto Serif', 'Droid Serif', 'Georgia', serif;
$font-italics: Georgia, 'Noto Serif', 'Droid Serif', serif;
// original fonts in old kath.de:; 'Georgia', 'Minion Pro', 'Times', 'Times New Roman', serif;
$font-corporate: $font-accent;
$font-size: 14pt;
$font-size: 12pt;
$line-height: 1.4142;
$line-height: 1.5;
$line-height-desktop: 1.4142;

$base-font-size: 120 !default; // In %. Also used for mobile. Number only, no units.
$base-font-size-desktop: 112.5 !default; // In %. Used to calculate the desktop font size. Number only, no units.
$max-width: 35; // Number only, no units. Gets converted to REMs and pixels.

// Mobile base & leading
$base: 16 * ($base-font-size / 100);
$leading: round($base * $line-height);
$leading-rem: $leading / $base;

// Desktop base & leading
$base-desktop: 16 * ($base-font-size-desktop / 100);
$leading-desktop: round($base-desktop * $line-height-desktop);
$leading-rem-desktop: $leading-desktop / $base-desktop;

$show-grid: false;

$min-column-width: 18rem * 0.8125;
$min-column-width-linkliste: 15em;
/// Container's maximum width
/// @type Length
$max-wrapper-width: (4 * $min-column-width) * 1.1;

$gutter: #{0.5 * $leading-rem + 'rem'};

// Modular Scale
$modular-scale: (
  xxxl: 4.3,
  xxl: 3.5,
  xl: 3,
  l: 2.5,
  m: 2,
  s: 1.6875,
  xs: 1.4375,
  xxs: 1.2,
  xxxs: 1,
  xxxxs: 0.8125
) !default;

// Headings Options
// [ h1: size (in rem), line height (* leading), margin top (* leading), margin bottom (* leading) ]
$headings: (
  h1: (2.5, 2, 4, 1),
  h2: (1.6875, 1.5, 2.5, 0.5),
  h3: (1.375, 1.1, 2, 0.5),
  h4: (1.2, 1, 1.5, 0.5),
  h5: (1, 1, 2.5, 0.5),
  h6: (1, 1, 2.5, 0.5)
) !default;


// Horizontal rule
$hr-style: line; // [ line / type ]
$hr-type-content: '***'; // [ '***' ]
$hr-type-char-spacing: 0.2em; // [ 0.2em ]
$hr-margin: 2;
$hr-margin-desktop: $hr-margin;
$hr-color: $color-font-body;
$hr-width: 100; // [ 100 ] — In pixels, only for line style
$hr-height: 4; // [ 2 ] — In pixels, only for line style

$sidebar-width: 22rem;
